Subject: Re: linux-next: trees being removed

From: Dennis Zhou <[email-masked]>
Date: Fri, 19 Dec 2025 16:36:14 -0800

Hi Stephen,

On Mon, Dec 15, 2025 at 06:41:26PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> The following trees are going to be removed from linux-next because they
> have not been updated in more than a year.  If you want a tree kept,
> please just reply and let me know (and update its branch).  If you want
> a tree restored after it has been removed, just let me know (and update
> its branch).
> 
> Tree			Last commit date
>   URL
>   comits (if any)
> ----			----------------
> accel			2024-05-03 11:00:53 +1000
>   https://git.kernel.org/pub/scm/linux/kernel/git/ogabbay/linux.git#habanalabs-next
> clang-format		2024-08-02 13:20:31 +0200
>   https://github.com/ojeda/linux.git#clang-format
> compiler-attributes	2024-09-15 16:57:56 +0200
>   https://github.com/ojeda/linux.git#compiler-attributes
> dmi			2024-05-14 11:23:02 +0200
>   https://git.kernel.org/pub/scm/linux/kernel/git/jdelvare/staging.git#dmi-for-next
> ecryptfs		2024-10-21 01:47:22 -0500
>   https://git.kernel.org/pub/scm/linux/kernel/git/tyhicks/ecryptfs.git#next
>   b06c72107980 ("ecryptfs: keystore: Fix typo 'the the' in comment")
>   da22e0dc323c ("fs: ecryptfs: comment typo fix")
>   68c119aecdcd ("ecryptfs: Fix packet format comment in parse_tag_67_packet()")
>   fba133a34118 ("ecryptfs: Remove unused declartion ecryptfs_fill_zeros()")
> exportfs		2024-11-17 14:15:08 -0800
>   https://git.kernel.org/pub/scm/linux/kernel/git/cel/linux.git#exportfs-next
> hte			2024-06-19 12:24:03 -0700
>   https://git.kernel.org/pub/scm/linux/kernel/git/pateldipen1984/linux.git#for-next
> percpu			2024-10-07 11:33:26 -0700
>   https://git.kernel.org/pub/scm/linux/kernel/git/dennis/percpu.git#for-next
> siox			2024-03-08 22:01:10 +0100

I've not been very active for the last few years and luckily it
coincided with less work in the percpu area. I've been sending small
patches through Andrew but I think I'd prefer to keep the tree as I hope
to do more active work in 2026.

I've just updated the for-next branch albiet just with 6.19-rc1.

Thanks,
Dennis